Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Create files

Bulk-creates file records and returns a presigned upload url per file. Nabbit never receives the file bytes; the consumer PUTs the bytes directly to upload_url and the file becomes active.

POST/api/v2/{team_slug}/{app_slug}/dam/files
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
Request body
requiredapplication/json
filesCreateFileItem[]required
min items 1 · max items 20
Show properties
Array of CreateFileItem
filenamestringrequired
content_typestringrequired
size_bytesinteger<int64>required
titlestring
typestring
publicboolean
created_with_aiboolean
default: false
overwriteboolean

Replace the existing file with the same filename instead of creating a new suffixed copy.

default: false
folder_idUUID
Responses
201

Created (partial success possible)

dataUploadTarget[]required
Show properties
Array of UploadTarget
idUUIDrequired
pathstringrequired
upload_urlstringrequired
expires_atinteger<int64>required
constraintsUploadConstraintsrequired
Show properties
max_size_bytesinteger<int64>required
allowed_typesstring[]required
errorsFileError[]required
Show properties
Array of FileError
idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
filenamestring
messagestringrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://api.enad.io/api/v2/string/string/dam/files' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "files": [
    {
      "filename": "string",
      "content_type": "string",
      "size_bytes": 0,
      "title": "string",
      "type": "string",
      "public": true,
      "created_with_ai": false,
      "overwrite": false,
      "folder_id": "7695bac3-9397-4ec2-9335-45a2a16f1901"
    }
  ]
}'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "path": "string",
      "upload_url": "string",
      "expires_at": 0,
      "constraints": {
        "max_size_bytes": 0,
        "allowed_types": [
          "string"
        ]
      }
    }
  ],
  "errors": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "filename": "string",
      "message": "string"
    }
  ]
}